## org.codehaus.groovy.syntax
Class ReadException

Encapsulates non-specific i/o exceptions.

Field Summary
`IOException` | `cause`

Constructor Summary
`ReadException(IOException cause)`
`ReadException(String message, IOException cause)`

Method Summary
`IOException` | `getIOCause()`
`String` | `getMessage()`
`String` | `toString()`

Constructor Detail

### ReadException

    public ReadException(IOException cause)

### ReadException

    public ReadException(String message, IOException cause)

Method Detail

### getIOCause

    public IOException getIOCause()

### getMessage

    public String getMessage()

### toString

    public String toString()